org.apache.jmeter.samplers

## Interface Sampler

- All Superinterfaces:
    Cloneable, Serializable, TestElement
  All Known Implementing Classes:
    AbstractSampler, AccessLogSampler, AjpSampler, BaseJMSSampler, BeanShellSampler, BSFSampler, DebugSampler, Example1, Example2, Example3, ExampleSampler, FTPSampler, HTTPSampler, HTTPSamplerBase, HTTPSamplerProxy, JavaSampler, JDBCSampler, JMSSampler, JSR223Sampler, JUnitSampler, LDAPExtSampler, LDAPSampler, MailReaderSampler, MongoScriptSampler, PublisherSampler, SmtpSampler, SubscriberSampler, SystemSampler, TCPSampler, TestAction, TransactionSampler

      public interface Sampler
      extends Serializable, TestElement

  Classes which are able to generate information about an entry should implement this interface.

- - ### Field Summary

    - ### Fields inherited from interface org.apache.jmeter.testelement.TestElement

      `COMMENTS, ENABLED, GUI_CLASS, NAME, TEST_CLASS`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `SampleResult` | `sample(Entry e)` Obtains statistics about the given Entry, and packages the information into a SampleResult.

    - ### Methods inherited from interface org.apache.jmeter.testelement.TestElement

      `addTestElement, canRemove, clear, clearTestElementChildren, clone, getComment, getName, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getThreadContext, getThreadName, isEnabled, isRunningVersion, isTemporary, propertyIterator, recoverRunningVersion, removeProperty, setComment, setEnabled, setName, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse`

- - ### Method Detail

    - #### sample

          SampleResult sample(Entry e)

      Obtains statistics about the given Entry, and packages the information into a SampleResult.
      Parameters:
        `e` - the Entry (TODO seems to be unused)
      Returns:
        information about the sample

Copyright © 1998-2017 Apache Software Foundation. All Rights Reserved.